## whitedb 0.7.3+git200711

=== Server/Makefile ===
# Makefile for building dserve, dservehttps and nsmeasure
#
# dserve: database http tool as a standalone http server or cgi
# dservehttps: database https tool as a standalone https server or cgi
# nsmeasure: utility for speed testing the server over http
#
# This makefile assumes you have built and installed the whitedb library.
#
# Alternatively compile directly against the whitedb library as:
# 
# gcc dserve.c dserve_util.c dserve_net.c  -o dserve -O2 -lwgdb -lpthread
# gcc -DUSE_OPENSSL dserve.c dserve_util.c dserve_net.c  -o dservehttps -O2 -lwgdb -lpthread -lssl -lcrypto
# gcc nsmeasure.c -o nsmeasure -O2 -lpthread
#
# or use compile.sh directly against the whitedb source without building a library first.
#
# dserve can be also compiled to work as a cgi or command line tool only
# without using pthreads by:
# - removing #define SERVEROPTION from dserve.h
# - compiling by gcc dserve.c dserve_util.c -o dserve -O2 -lwgdb 
#
# Compiling under windows:
# copy the files dbapi.h and wgdb.lib into the same folder where you compile, then build
# server version:
# cl /Ox /I"." Server\dserve.c Server\dserve_util.c Server\dserve_net.c wgdb.lib
# cl /Ox /I"." Server\dserve.c Server\dserve_util.c wgdb.lib
# or a non-server version

 

CFLAGS = -O2 -c
CFLAGSHTTPS = -O2 -DUSE_OPENSSL -Wall -c
CC = gcc

all: dserve dservehttps nsmeasure

dserve: dserve.o dserve_util.o dserve_net.o yajl_all.o
	$(CC) dserve.o dserve_net.o dserve_util.o yajl_all.o -o dserve -lpthread -lwgdb

dservehttps: dservehttps.o dserve_utilhttps.o dserve_nethttps.o yajl_all.o
	$(CC) dservehttps.o dserve_nethttps.o dserve_utilhttps.o yajl_all.o -o dservehttps -lpthread -lwgdb -lssl -lcrypto

nsmeasure: nsmeasure.o
	$(CC) nsmeasure.o -o nsmeasure -lpthread

dserve.o: dserve.h dserve.c
	$(CC) $(CFLAGS) dserve.c

dservehttps.o: dserve.h dserve.c
	$(CC) $(CFLAGSHTTPS) dserve.c -o dservehttps.o

dserve_net.o: dserve.h dserve_net.c
	$(CC) $(CFLAGS) dserve_net.c

dserve_nethttps.o: dserve.h dserve_net.c
	$(CC) $(CFLAGSHTTPS) dserve_net.c -o dserve_nethttps.o
  
dserve_util.o: dserve.h dserve_util.c
	$(CC) $(CFLAGS) dserve_util.c 

dserve_utilhttps.o: dserve.h dserve_util.c
	$(CC) $(CFLAGSHTTPS) dserve_util.c -o dserve_utilhttps.o 

yajl_all.o: ../json/yajl_all.h ../json/yajl_all.c
	$(CC) $(CFLAGS) ../json/yajl_all.c -o yajl_all.o

nsmeasure.o: nsmeasure.c
	$(CC) $(CFLAGS) nsmeasure.c

clean: nsmeasure.c
	rm *.o *dserve dservehttps nsmeasure *.gch

## whitedb 0.7.2

=== debian/changelog ===
whitedb (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Jan 2014 22:02:46 +0100

whitedb (0.7.1json-1) unstable; urgency=low

  * Initial release (closes: #731642).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 04 Nov 2013 15:03:53 +0000

=== debian/control ===
Source: whitedb
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Homepage: http://whitedb.org/
Standards-Version: 3.9.5

Package: whitedb
Section: database
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwgdb0 (= ${binary:Version})
Multi-Arch: foreign
Description: lightweight NoSQL database library
 WhiteDB is a lightweight NoSQL database library written in C, operating
 fully in main memory. There is no server process. Data is read and written
 directly from/to shared memory, no sockets are used between WhiteDB and the
 application program.

#Package: libwgdb-dbg
#Section: debug
#Architecture: any
#Priority: extra
#Depends: libwgdb0 (= ${binary:Version}), ${misc:Depends}
#Multi-Arch: foreign
#Description: lightweight NoSQL database library, debugging symbols
# WhiteDB is a lightweight NoSQL database library written in C, operating
# fully in main memory. There is no server process. Data is read and written
# directly from/to shared memory, no sockets are used between WhiteDB and the
# application program.
# .
# This package contains the debugging symbols for the libraries.

Package: libwgdb0
Section: libs
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: lightweight NoSQL database library, shared library
 WhiteDB is a lightweight NoSQL database library written in C, operating
 fully in main memory. There is no server process. Data is read and written
 directly from/to shared memory, no sockets are used between WhiteDB and the
 application program.

Package: libwgdb-dev
Section: libdevel
Architecture: any
Depends: libwgdb0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: lightweight NoSQL database library, development files
 WhiteDB is a lightweight NoSQL database library written in C, operating
 fully in main memory. There is no server process. Data is read and written
 directly from/to shared memory, no sockets are used between WhiteDB and the
 application program.
 .
 This package contains the development files (headers, static libraries).

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEVDIR=$(CURDIR)/debian/libwgdb-dev/

override_dh_installexamples:
	dh_installexamples
	sed -i 's|"../Db/\(.\+\)"|<whitedb/\1>|' \
		$(DEVDIR)/usr/share/doc/libwgdb-dev/examples/demo.c \
		$(DEVDIR)/usr/share/doc/libwgdb-dev/examples/query.c

%:
	dh $@ --parallel --with autoreconf

.PHONY: override_dh_installexamples

## whitedb 0.7.3

=== debian/changelog ===
whitedb (0.7.3-4) unstable; urgency=medium

  * Configure with --without-gcc-arch to disable native CPU optimization
    (closes: #878589).
  * Change libwgdb0 priority to optional (closes: #878762).
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Oct 2017 16:43:24 +0000

whitedb (0.7.3-3) unstable; urgency=medium

  * Upstream fix for incorrect refcount handling for strings (closes: #872684).
  * Remove dh-autoreconf build dependency.
  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 20 Aug 2017 13:12:20 +0000

whitedb (0.7.3-2) unstable; urgency=low

  * Upload to Sid.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 May 2015 20:31:21 +0000

whitedb (0.7.3-1) experimental; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Mar 2015 12:18:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Build-Depends: debhelper (>= 10)
 Homepage: http://whitedb.org/
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
 
 Package: whitedb
 Section: database
@@ -17,24 +17,9 @@
  directly from/to shared memory, no sockets are used between WhiteDB and the
  application program.
 
-#Package: libwgdb-dbg
-#Section: debug
-#Architecture: any
-#Priority: extra
-#Depends: libwgdb0 (= ${binary:Version}), ${misc:Depends}
-#Multi-Arch: foreign
-#Description: lightweight NoSQL database library, debugging symbols
-# WhiteDB is a lightweight NoSQL database library written in C, operating
-# fully in main memory. There is no server process. Data is read and written
-# directly from/to shared memory, no sockets are used between WhiteDB and the
-# application program.
-# .
-# This package contains the debugging symbols for the libraries.
-
 Package: libwgdb0
 Section: libs
 Architecture: any
-Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 #export DH_VERBOSE=1
 
 DEVDIR=$(CURDIR)/debian/libwgdb-dev/
+
+override_dh_auto_configure:
+	dh_auto_configure -- --without-gcc-arch
 
 override_dh_installexamples:
 	dh_installexamples
@@ -15,4 +18,4 @@
 %:
 	dh $@ --parallel --with autoreconf
 
-.PHONY: override_dh_installexamples
+.PHONY: override_dh_auto_configure override_dh_installexamples

## whitedb 0.7.3%2Bgit200711

=== debian/changelog ===
whitedb (0.7.3+git200711-1) unstable; urgency=medium

  * Git snapshot release:
    - fixes FTBFS with GCC 10 (closes: #957932).
  * Add source Lintian overrides.
  * Update watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0:
    - don't specify parallel to debhelper.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 03 Aug 2020 18:39:28 +0200

## whitedb 0.7.3+git200711

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10)
-Homepage: http://whitedb.org/
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12)
+Homepage: https://whitedb.org/
+Standards-Version: 4.5.0
 
 Package: whitedb
 Section: database

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,12 @@
 		$(DEVDIR)/usr/share/doc/libwgdb-dev/examples/demo.c \
 		$(DEVDIR)/usr/share/doc/libwgdb-dev/examples/query.c
 
+override_dh_fixperms:
+	dh_fixperms
+	chmod a-x $(DEVDIR)/usr/share/doc/libwgdb-dev/examples/dserve.c
+
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
-.PHONY: override_dh_auto_configure override_dh_installexamples
+.PHONY: override_dh_auto_configure override_dh_installexamples \
+	override_dh_fixperms

=== debian/watch ===
version=4
https://github.com/priitj/whitedb/tags .*/archive/v?(\d\S+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## whitedb 0.7.3+git211004

=== debian/changelog ===
whitedb (0.7.3+git211004-1) unstable; urgency=medium

  * Git snapshot release.
  * Install manpage with correct name.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Oct 2021 20:49:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Homepage: https://whitedb.org/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 
 Package: whitedb
 Section: database

## whitedb 0.7.3+git211004+dfsg

=== debian/changelog ===
whitedb (0.7.3+git211004+dfsg-2) unstable; urgency=medium

  * Update homepage location.
  * Refer online version of Free Software Foundation licence.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Aug 2025 08:49:43 +0200

whitedb (0.7.3+git211004+dfsg-1) unstable; urgency=medium

  * Compile with packaged yajl library (closes: #1039088).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Jul 2023 08:58:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Homepage: https://whitedb.org/
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libyajl-dev
+Homepage: https://github.com/priitj/whitedb
+Standards-Version: 4.7.2
 
 Package: whitedb
 Section: database
@@ -32,7 +32,7 @@
 Package: libwgdb-dev
 Section: libdevel
 Architecture: any
-Depends: libwgdb0 (= ${binary:Version}), ${misc:Depends}
+Depends: libwgdb0 (= ${binary:Version}), libyajl-dev, ${misc:Depends}
 Multi-Arch: same
 Description: lightweight NoSQL database library, development files
  WhiteDB is a lightweight NoSQL database library written in C, operating

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,16 @@
 #export DH_VERBOSE=1
 
 DEVDIR=$(CURDIR)/debian/libwgdb-dev/
+INSTALLDIR=$(CURDIR)/debian/tmp/
 
 override_dh_auto_configure:
 	dh_auto_configure -- --without-gcc-arch
+
+override_dh_auto_install:
+	dh_auto_install
+	sed 's|WhiteDB \\|wgdb \\|' $(INSTALLDIR)/usr/share/man/man7/whitedb.7 \
+		>$(INSTALLDIR)/usr/share/man/man7/wgdb.7
+	$(RM) $(INSTALLDIR)/usr/share/man/man7/whitedb.7
 
 override_dh_installexamples:
 	dh_installexamples
@@ -22,5 +29,5 @@
 %:
 	dh $@ --with autoreconf
 
-.PHONY: override_dh_auto_configure override_dh_installexamples \
-	override_dh_fixperms
+.PHONY: override_dh_auto_configure override_dh_auto_install \
+	override_dh_installexamples override_dh_fixperms

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/priitj/whitedb/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@

## whitedb 0.8.0~alpha

=== debian/changelog ===
whitedb (0.8.0~alpha-1) experimental; urgency=medium

  * New upstream alpha release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 11 Dec 2022 12:09:05 +0100
